Package org.gradle.process

## Interface ExecOutput

-     @Incubating
      public interface ExecOutput

  Provides lazy access to the output of the external process.
  Since:
    7.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `ExecOutput.StandardStreamContent` | A handle to access content of the process' standard stream (the standard output of the standard error output).

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<ExecResult>` | `getResult()` | Returns a provider of the execution result.
    `ExecOutput.StandardStreamContent` | `getStandardError()` | Gets a handle to the content of the process' standard error output.
    `ExecOutput.StandardStreamContent` | `getStandardOutput()` | Gets a handle to the content of the process' standard output.

- - ### Method Detail

    - #### getResult

          Provider<ExecResult> getResult()

      Returns a provider of the execution result.

      The external process is executed only once and only when the value is requested for the first time.

      If starting the process results in exception then the ensuing exception is permanently propagated to callers of `Provider.get()`, `Provider.getOrElse(T)`, `Provider.getOrNull()` and `Provider.isPresent()`.

      Returns:
        provider of the execution result.

    - #### getStandardOutput

          ExecOutput.StandardStreamContent getStandardOutput()

      Gets a handle to the content of the process' standard output.
      Returns:
        handle of the standard output of the process.

    - #### getStandardError

          ExecOutput.StandardStreamContent getStandardError()

      Gets a handle to the content of the process' standard error output.
      Returns:
        handle of the standard error output of the process.